package com.steerinfo.ftp.uploadfile.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.ftp.uploadfile.model.UploadFile;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;
import java.util.Set;

@Mapper
public interface UploadFileMapper extends IBaseMapper<UploadFile, String> {
    Set<UploadFile> getIdAndName();

    Set<UploadFile> getTag();

    List<UploadFile> getTreeByParameters(Map<String, Object> parameters);
}